# class KPAC |
Contains pure virtuals
Definition | `#include <kpac.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual QString proxyForURL (const KURL &url)
- virtual bool init ()
- virtual void badProxy (const QString &proxy)

## Detailed Description

QString proxyForURL (const KURL &url) | ### proxyForURL

[pure virtual]

Returns the proxy for the `url` or QString::null if the request should be done unproxied

bool init () | ### init

[pure virtual]

Loads the PAC-script

void badProxy (const QString &proxy) | ### badProxy

[pure virtual]

Marks `proxy` as down. If the config script returns alternative proxies or allows a direct connection as fallback, this proxy will not be returned for a while.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.